Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## controlP5
Class ControllerSprite

    java.lang.Object
      controlP5.ControllerSprite

All Implemented Interfaces:
  java.lang.Cloneable

Deprecated.

    @Deprecated
    public class ControllerSprite

extends java.lang.Object
implements java.lang.Cloneable

Constructor Summary
`ControllerSprite(ControlP5 theControlP5, processing.core.PImage theImage, int theWidth, int theHeight)` Deprecated.
`ControllerSprite(ControlP5 theControlP5, processing.core.PImage theImage, int theWidth, int theHeight, int theStates)` Deprecated.

Method Summary
`ControllerSprite` | `clone()` Deprecated.
`void` | `disableMask()` Deprecated.
`void` | `draw(processing.core.PApplet theApplet)` Deprecated.
`void` | `enableMask()` Deprecated.
`int` | `getState()` Deprecated.
`int` | `getStateCount()` Deprecated.
`int` | `height()` Deprecated.
`void` | `setForceState(int state)` Deprecated.
`void` | `setMask(processing.core.PImage theImage)` Deprecated.
`void` | `setOffset(int theX, int theY)` Deprecated.
`void` | `setState(int theState)` Deprecated.
`void` | `setTotalStates(int count)` Deprecated.
`void` | `update()` Deprecated.
`int` | `width()` Deprecated.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ControllerSprite

    public ControllerSprite(ControlP5 theControlP5,
                            processing.core.PImage theImage,
                            int theWidth,
                            int theHeight)

  Deprecated.

### ControllerSprite

    public ControllerSprite(ControlP5 theControlP5,
                            processing.core.PImage theImage,
                            int theWidth,
                            int theHeight,
                            int theStates)

  Deprecated.

Method Detail

### clone

    public ControllerSprite clone()

  Deprecated.
  Overrides:
    `clone` in class `java.lang.Object`

### disableMask

    public void disableMask()

  Deprecated.

### draw

    public void draw(processing.core.PApplet theApplet)

  Deprecated.

### enableMask

    public void enableMask()

  Deprecated.

### getState

    public int getState()

  Deprecated.

### getStateCount

    public int getStateCount()

  Deprecated.

### height

    public int height()

  Deprecated.

### setForceState

    public void setForceState(int state)

  Deprecated.

### setMask

    public void setMask(processing.core.PImage theImage)

  Deprecated.

### setOffset

    public void setOffset(int theX,
                          int theY)

  Deprecated.

### setState

    public void setState(int theState)

  Deprecated.

### setTotalStates

    public void setTotalStates(int count)

  Deprecated.

### update

    public void update()

  Deprecated.

### width

    public int width()

  Deprecated.

Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

processing library controlP5 by Andreas Schlegel. (c) 2006-2012